_Eina_Stat Struct Reference
Eina » Tools » File

The structure to store some file statistics. More...

`#include <eina_file.h>`

## Data Fields

unsigned long int | dev
| The device where this file is located.
unsigned long int | ino
| The inode.
unsigned int | mode
| The mode.
unsigned int | nlink
| The link number.
unsigned int | uid
| The owner user id.
unsigned int | gid
| The owner group id.
unsigned long int | rdev
| The remote device.
unsigned long int | size
| The file size in bytes.
unsigned long int | blksize
| The block size in bytes.
unsigned long int | blocks
| The number of blocks allocated.
unsigned long int | atime
| The timestamp when the file was last accessed.
unsigned long int | atimensec
| The nano version of the timestamp when the file was last accessed.
unsigned long int | mtime
| The timestamp when the file was last modified.
unsigned long int | mtimensec
| The nano version of the timestamp when the file was modified.
unsigned long int | ctime
| The timestamp when the file was created.
unsigned long int | ctimensec
| The nano version of the timestamp when the file was created.

## Detailed Description

The structure to store some file statistics.

Since
  1.2